libogg documentation | libogg release 1.3.2 - 20140527

# ogg_sync_destroy

declared in "ogg/ogg.h";

This function is used to destroy an ogg_sync_state struct and free all memory used.

Note this calls free() on its argument so you should only use this function if you've allocated the ogg_sync_state on the heap. If it is allocated on the stack, or it will otherwise be freed by your own code, use ogg_sync_clear instead to release just the internal memory.

    int ogg_sync_destroy(ogg_sync_state *oy);

### Parameters

oy
  Pointer to a previously declared ogg_sync_state struct.

### Return Values

> - 0 is always returned.

copyright © 2000-2014 Xiph.Org | Ogg Container Format
libogg documentation | libogg release 1.3.2 - 20140527